Bug 49715 - Rhn_register after entering details for page 2
Summary: Rhn_register after entering details for page 2
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhn_register   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-23 14:38 UTC by James Salisbury
Modified: 2015-01-07 23:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-27 00:16:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Salisbury 2001-07-23 14:38:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.16-3 i686)

Description of problem:
I have updated as follows up2date to 2.5.3-0.6
newt is now at newt-0.50.22-2
I get the error shown below after entering page 2

[root@te2papeete updates]# /usr/sbin/rhn_register
Traceback (innermost last):
  File "/usr/sbin/rhn_register", line 119, in ?
    main()
  File "/usr/sbin/rhn_register", line 100, in main
    tui.main()
  File "/usr/share/rhn/register/tui.py", line 1033, in main
    tui.run()
  File "/usr/share/rhn/register/tui.py", line 982, in run
    win = self.windows[index](self.screen, self)
  File "/usr/share/rhn/register/tui.py", line 590, in __init__
    self.versionLabel2 = snack.Label(rhnreg.getVersion())

  

File "/usr/share/rhn/register/rhnreg.py", line 121, in getVersion
    index = db.findbyprovides("redhat-release")[0]
IndexError: list index out of range            

How reproducible:
Always

Steps to Reproduce:
1./usr/sbin/rhn_register
2.enter details 
3.got to next page on page 2
	

Actual Results:  root@te2papeete updates]# /usr/sbin/rhn_register
Traceback (innermost last):
  File "/usr/sbin/rhn_register", line 119, in ?
    main()
  File "/usr/sbin/rhn_register", line 100, in main
    tui.main()
  File "/usr/share/rhn/register/tui.py", line 1033, in main
    tui.run()
  File "/usr/share/rhn/register/tui.py", line 982, in run
    win = self.windows[index](self.screen, self)
  File "/usr/share/rhn/register/tui.py", line 590, in __init__
    self.versionLabel2 = snack.Label(rhnreg.getVersion())

  

File "/usr/share/rhn/register/rhnreg.py", line 121, in getVersion
    index = db.findbyprovides("redhat-release")[0]
IndexError: list index out of range            

Additional info:

Comment 1 Adrian Likins 2001-08-17 01:59:06 UTC
This is an artifact of a rpm db issued related to updating the db. 

try issuing this command:

      rpm --rebuilddb 


And trying this again.



Note You need to log in before you can comment on or make changes to this bug.